debug_traceCall
网络: Arbitrum Sepolia · 测试网 · Chain ID 421614(0x66eee)
计为 5 个 Request。 计费规则见 Request Counting。
debug_traceCall 在指定区块上下文中执行 call,并返回执行 trace。它是付费 debug 方法,Free 不可用。历史区块上下文需要该链提供历史状态。
参数
Object- Call object,可包含from、to、gas、gasPrice、value、data。QUANTITY|TAG- 区块号或 tag。Object- 可选 tracer 配置,例如{ "tracer": "callTracer" }。
请求
{
"jsonrpc": "2.0",
"method": "debug_traceCall",
"params": [
{
"to": "0x0000000000000000000000000000000000000000",
"data": "0x"
},
"latest",
{
"tracer": "callTracer"
}
],
"id": 1
}说明
- Free 端点不可用。
- Tracer 支持情况取决于链。
- 旧区块执行上下文需要该链提供历史状态。
代码示例
curl -X POST https://arbitrum-sepolia-rpc.blockreq.com/v1/rpc/public \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"debug_traceCall","params":[{"to":"0x0000000000000000000000000000000000000000","data":"0x"},"latest",{"tracer":"callTracer"}],"id":1}'